<?php 
    // continue the session
    session_start();
    
    // Add includes to PHP files that I will need to access
    include 'php_only_scripts/database.php';
    include 'php_only_scripts/presentation.php';
    include 'php_only_scripts/stocked_material_presentation.php';
    include 'php_only_scripts/note_presentation.php';

    // Init some variables
    $userRow=null;
    $updateStockedMaterialID=-1;

    // Assume NOT gtg
    $gtg = false;

    // Create and Setup the database
    $db = new Database();
    $db->setupTmsDB();

    // Attempt to log in with this user
    $currentUser = $db->getLoggedInSessionUser(session_id());
    
    // If there is only one result for a username/password combo, then they are good to go.
    if ($currentUser == null){
        exit;
    }
    elseif (mysqli_num_rows($currentUser)==1){
        // Attempt to get the user row
        $userRow = $currentUser->fetch_assoc();
        
        // now determine if it was posted
        if (isset($_GET['updateStockedMaterialID']) ){
            // Hold onto the Stocked Material ID 
            $updateStockedMaterialID = $_GET['updateStockedMaterialID'];
        }

        // Determine if this person is of appropriate level and company
        if ($userRow["SUEmployee"]!=1 ||
            $userRow["UserLevel"]=='TIMECARD ONLY' ||
            $updateStockedMaterialID == null || 
            $updateStockedMaterialID == -1 ||
            $userRow["AccountStatus"]!='ACTIVE'){
                // redirect to the invalid access page
                echo ('<script>window.location = "invalid_access.php";</script>');
                
                exit;
        }
        
        // Set the good to go until they log out
        $gtg = true;

        // Determine if BOTH the user name AND password has been set
        if (isset($_POST['formSubmitted']) && 
            htmlspecialchars($_POST['formSubmitted'])=='TRUE'){
            // Determine if this user can even modify
            if (!$userRow["CanModify"]){
                // redirect to the machine page
                echo ('<script>window.location = "machines.php";</script>');
            }
            else {
                // Change the form back to NOT being submitted
                $_SESSION['formSubmitted']='FALSE';

                // Set the local variables from what was posted
                $materialStockID = htmlspecialchars($_POST['materialStockID'], ENT_QUOTES, 'UTF-8');
                $materialID = htmlspecialchars($_POST['materialID'], ENT_QUOTES, 'UTF-8');
                $name = htmlspecialchars($_POST['name'], ENT_QUOTES, 'UTF-8');
                $location = htmlspecialchars($_POST['location'], ENT_QUOTES, 'UTF-8');
                $type = htmlspecialchars($_POST['type'], ENT_QUOTES, 'UTF-8');
                $dimension1 = htmlspecialchars($_POST['dimension1'], ENT_QUOTES, 'UTF-8');
                $dimension2 = htmlspecialchars($_POST['dimension2'], ENT_QUOTES, 'UTF-8');
                $dimension3 = htmlspecialchars($_POST['dimension3'], ENT_QUOTES, 'UTF-8');
                $diameter = htmlspecialchars($_POST['diameter'], ENT_QUOTES, 'UTF-8');
                $wallThickness = htmlspecialchars($_POST['wallThickness'], ENT_QUOTES, 'UTF-8');
                $lowWarpValue = htmlspecialchars($_POST['lowWarpValue'], ENT_QUOTES, 'UTF-8');
                $highWarpValue = htmlspecialchars($_POST['highWarpValue'], ENT_QUOTES, 'UTF-8');
                $amount = htmlspecialchars($_POST['amount'], ENT_QUOTES, 'UTF-8');
                $units = htmlspecialchars($_POST['units'], ENT_QUOTES, 'UTF-8');
                $lastReorderedDate = htmlspecialchars($_POST['lastReorderedDate'], ENT_QUOTES, 'UTF-8');
                $averageLeadTimeInDays = htmlspecialchars($_POST['averageLeadTimeInDays'], ENT_QUOTES, 'UTF-8');
                $notes = htmlspecialchars($_POST['permanentNotes'], ENT_QUOTES, 'UTF-8');
                $checkFrequencyInDays = htmlspecialchars($_POST['checkFrequencyInDays'], ENT_QUOTES, 'UTF-8');
                $lowReorderLevel = htmlspecialchars($_POST['lowReorderLevel'], ENT_QUOTES, 'UTF-8');
                $highReorderLevel = htmlspecialchars($_POST['highReorderLevel'], ENT_QUOTES, 'UTF-8');
                $vendor = htmlspecialchars($_POST['vendor'], ENT_QUOTES, 'UTF-8');

                // Let's create the update query off of what we have
                $sql='UPDATE materialstock SET ';
                if ($materialID!=null) {$sql = $sql . 'MaterialID=' . $materialID;}
                if ($name!=null) {$sql = $sql . ', Name="' . $name . '"';}
                if ($location!=null) {$sql = $sql . ', Location="' . $location . '"';}
                if ($type!=null) {$sql = $sql . ', Type="' . $type . '"';}
                if ($dimension1!=null) {$sql = $sql . ', Dimension1=' . $dimension1;}
                if ($dimension2!=null) {$sql = $sql . ', Dimension2=' . $dimension2;}
                if ($dimension3!=null) {$sql = $sql . ', Dimension3=' . $dimension3;}
                if ($diameter!=null) {$sql = $sql . ', Diameter=' . $diameter;}
                if ($wallThickness!=null) {$sql = $sql . ', WallThickness=' . $wallThickness;}
                if ($lowWarpValue!=null) {$sql = $sql . ', LowWarpValue=' . $lowWarpValue;}
                if ($highWarpValue!=null) {$sql = $sql . ', HighWarpValue=' . $highWarpValue;}
                if ($amount!=null) {$sql = $sql . ', Amount=' . $amount;}
                if ($units!=null) {$sql = $sql . ', Units="' . $units . '"';}
                if ($lastReorderedDate!=null) {$sql = $sql . ', LastReorderedDate="' . $lastReorderedDate . '"';}
                if ($averageLeadTimeInDays!=null) {$sql = $sql . ', AverageLeadTimeInDays=' . $averageLeadTimeInDays;}
                if ($notes!=null) {$sql = $sql . ', Notes="' . $notes . '"';}
                if ($checkFrequencyInDays!=null) {$sql = $sql . ', CheckFrequencyInDays=' . $checkFrequencyInDays;}
                if ($lowReorderLevel!=null) {$sql = $sql . ', LowReorderLevel=' . $lowReorderLevel;}
                if ($highReorderLevel!=null) {$sql = $sql . ', HighReorderLevel=' . $highReorderLevel;}
                if ($vendor!=null) {$sql = $sql . ', VendorID=' . $vendor;}
                $sql=$sql .' WHERE MaterialStockId=' . $updateStockedMaterialID . ';';

                // Attempt to run the query and evaluate the response
                if (!$db->queryDB($sql, $userRow, "updateMaterialStock Form occurance 1")){
                    echo '<script>alert("Material Stock was NOT updated in the database. Please check the data and try again.");</script>';
                    // TODO: How do I want to display a failure to the user?
                }
                else {
                    // Check if there are any mods to old notes
                    updateOldNotes($db, $userRow);
                    
                    // Add any new notes that the user added
                    addNewNotesToDB($db, $userRow, $updateStockedMaterialID, $userRow["UserID"], "MATERIAL");
                    
                    // redirect to the machines page
                    echo ('<script>window.close();</script>');
                }
            }
        }
        else {
            // Set the form submitted session variable to FALSE
            $_POST['formSubmitted']='FALSE';
        }
    }
?>
        
﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <title>Task Management System - Update Material Stock</title>

    <meta name="keywords" content="GIS,data,testing,IT" />
    <meta name="description" content="EES Divisions." />

    <script src="./SpryAssets/SpryMenuBar.js" type="text/javascript"></script>
    <script src="./javascript/addresses.js" type="text/javascript"></script>
    <script src="./javascript/general.js" type="text/javascript"></script>
    <script src="./javascript/notes.js" type="text/javascript"></script>
    <script src="scripts/jpicker-1.1.6/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="scripts/jpicker-1.1.6/jpicker-1.1.6.min.js" type="text/javascript"></script>
    <script language="JavaScript" src="scripts/gen_validatorv4.js" type="text/javascript"></script>
    
    <link rel="icon" href="images/ees_ico.ico"/> 
    
    <link href="scripts/jpicker-1.1.6/css/jPicker-1.1.6.css" rel="stylesheet" type="text/css"/>
    <link href="./SpryAssets/SpryMenuBarHorizontal.css" rel="stylesheet" type="text/css" />
    <link href="./SpryAssets/SpryMenuBarVertical.css" rel="stylesheet" type="text/css" />
    <link rel = "stylesheet" type="text/css" href="./css/contentpage.css" >

    <script type="text/javascript">
      $(function()
        {
          $.fn.jPicker.defaults.images.clientPath='scripts/jpicker-1.1.6/images/';
        });
    </script>
        
    <style type="text/css">
        .Table
        {
            display: table;
            width: 100%;
        }
        .Title
        {
            display: table-caption;
            text-align: center;
            font-weight: bold;
            font-size: larger;
            width: 100%;
        }
        .Heading
        {
            display: table-row;
            font-weight: bold;
            text-align: center;
            width: 100%;
        }
        .Row
        {
            display: table-row;
            width: 100%;
        }
        .cell
        {
            display: table-cell;
            border: solid;
            border-width: thin;
            padding-left: 2px;
            padding-right: 2px;
            font-weight: bold;
            font-size: 10;
        }
        .noteTableCell
        {
            display: table-cell;
        }
        .fullNoteLabelCell
        {
            width: 20%;
            text-align: right;
        }
        .fullNoteTextCell
        {
            width: 80%;
            text-align: left;
        }
        .cell1
        {
            width: 3%;
            text-align: center;
        }
        .fullTextCell
        {
            width: 80%;
            text-align: left;
        }
        .fullAddressCell
        {
            width: 85%;
            text-align: left;
        }
        .buttonCell
        {
            width: 35%;
            text-align: center;
        }
    </style>
</head>

<body class="thrColElsHdr">

<div id="container">
  
<!-- start of banner wrap --->

<div id="topContent">
  
<div>
   <div class="MenuBarHorizontal" id="navBar">  <ul id="TopNav" class="MenuBarHorizontal">

    <script type="text/javascript">
    <!--
    var MenuBar2 = new Spry.Widget.MenuBar("TopNav", {imgDown:"./SpryAssets/SpryMenuBarDownHover.gif", imgRight:"./SpryAssets/SpryMenuBarRightHover.gif"});
    //-->
    </script>

    </div>
  </div>
</div>
<!-- end of banner wrap --->

  <!-- end #header -->
  <br class="clearfloat" />
  <div id="sidebar1">
      <?php 
        // Determine if we are GTG
        if ($gtg){
          // Render the appropriate presentation for the tasks sidebar
          getSidebar($userRow, 'equipment');
        }
      ?>       
      <br class="clearfloat" />
  <!-- end #sidebar1 -->
  </div>
  
  <!-- start #mainContent -->
  <div id="mainContent">
    <div class="maintitle">Task Management System - Update Material Stock</div>
    <div class="breadcrumb"> <a href="../index.html"> Home </a> > <a href="stockedMaterials.php"> Stocked Materials </a> > <a href="updateMaterialStock.php"> Update Material Stock </a></div>

    <br>
    <?php
        // Determine if they are GTG
        if ($gtg){
            echo getMaterialStock($db, $userRow, $updateStockedMaterialID);
        }
        else {
            // Set the login failed to true
            $_SESSION['failedLogin']='TRUE';

            // Add a session variable that is this page URL
            $_SESSION['pageToGoTo']=$_SERVER['REQUEST_URI'];

            // redirect to the login page
            echo ('<script>window.location = ".";</script>');
        }
    ?>       
    
  <!-- end #mainContent -->
  
  <!-- This clearing element should immediately follow the #mainContent div in order to force the #container div to contain all child floats -->
  <br class="clearfloat" />
  
  <!-- start #footer --></div>
   <div id="footer">
    <p>© 2018 Evolve Engineering and Software. EES, Evolve Engineering and Software, EES Logo are registered marks of Evolve Engineering and Software.</p>
  <!-- end #footer -->
   </div>
<!-- end #container -->
</div>

</body>

</html>